API Reference · v1
Brands
GET
/Catalog/BrandsList all brands
Returns the brands the authenticated dealer is entitled to (per dealer_allowed_brands) and that have at least one product available to them, mirroring the filtering applied to /Products and /Categories. Pass showCanBuyFalse=true to also list the visible brands the dealer cannot buy.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| language | header | string | null | Optional | (default: en) |
Request
GET
/Catalog/BrandsGET https://api.ltpdealer.com/v1/Catalog/Brands
Authorization: ApiKey <prefix>.<secret>
language: enResponse
200Successful Response
{
"brands": [
{
"description": "",
"id": "49N",
"name": "49N",
"url": ""
},
{
"description": "",
"id": "ABUS",
"name": "ABUS AUGUST BREMICKER",
"url": ""
},
{
"description": "",
"id": "AVID",
"name": "AVID",
"url": ""
},
{
"description": "",
"id": "BAFANG",
"name": "BAFANG",
"url": ""
}
]
}| Field | Type | Description |
|---|---|---|
| brands | array<BrandItem> |
422Validation Error
{
"detail": [
{
"loc": [
"string"
],
"msg": "Message",
"type": "Error Type"
}
]
}| Field | Type | Description |
|---|---|---|
| detail | array<ValidationError> |
Code Examples
curl -X GET "https://api.ltpdealer.com/v1/Catalog/Brands" \
-H "Authorization: ApiKey <prefix>.<secret>" \
-H "language: en"